complexType "ReturnSwapBase"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 13 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-eq-shared-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, assetClass*, embeddedOptionType[0..2])?, (buyerPartyReference?, buyerAccountReference?, sellerPartyReference?, sellerAccountReference?)?, returnSwapLeg*, principalExchangeFeatures?, additionalPayment*
</...>

Content Model Elements (13):

  additionalPayment (defined in ReturnSwapBase complexType), assetClass (defined in Product.model group), buyerAccountReference, buyerPartyReference (defined in BuyerSeller.model group), embeddedOptionType, primaryAssetClass (defined in Product.model group), principalExchangeFeatures, | productId (defined in Product.model group), productType (defined in Product.model group), returnSwapLeg, secondaryAssetClass (defined in Product.model group), sellerAccountReference, sellerPartyReference (defined in BuyerSeller.model group)

Known Direct Subtypes (2):

  EquitySwapTransactionSupplement, ReturnSwap

All Direct / Indirect Based Elements (2):

  equitySwapTransactionSupplement, returnSwap

Known Usage Locations

- In derivations of other global types (2):
  EquitySwapTransactionSupplement (as extension base),
  ReturnSwap (as extension base)

Annotation
A type describing the components that are common for return type swaps, including short and long form return swaps representations.
Type Definition Detail

Type Derivation Tree Product (extension) ReturnSwapBase

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType abstract="true" name="ReturnSwapBase"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:group minOccurs="0" ref="BuyerSeller.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" ref="returnSwapLeg"/> <xsd:element minOccurs="0" name="principalExchangeFeatures" type="PrincipalExchangeFeatures"/> <!-- APP moved from Return Swap for EQS PSA CFD proposal --> <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalPayment" type="ReturnSwapAdditionalPayment"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/13)
additionalPayment

  Type: | ReturnSwapAdditionalPayment, complex content

  Specifies additional payment(s) between the principal parties to the trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalPayment" type="ReturnSwapAdditionalPayment"/>

principalExchangeFeatures

  Type: | PrincipalExchangeFeatures, complex content

  This is used to document a Fully Funded Return Swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="principalExchangeFeatures" type="PrincipalExchangeFeatures"/>

returnSwapLeg

  Type: | DirectionalLeg, complex content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 2 elements

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" ref="returnSwapLeg"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.